Package org.apache.felix.cm.json.io

## Interface ConfigurationReader.BinaryHandler

Enclosing interface:
  ConfigurationReader

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public static interface ConfigurationReader.BinaryHandler

Handler for binary properties

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `handleBinaryValue​(String pid, String key, String value)` Provide the actual value for a binary property

### Method Detail

#### handleBinaryValue

    String handleBinaryValue​(String pid,
                             String key,
                             String value)

Provide the actual value for a binary property

Parameters:
  `pid` - The pid of the configuration
  `key` - The key of the binary property
  `value` - The binary property value
Returns:
  The actual value or `null` on failure